move more event handling to content script
several dom events (load, visibility, close, etc) that are needed by social need to move into the content script to support remote=true on the social frames.